package com.gic.finance.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
/**
 * 打款户信息
 * @ClassName: PayAccountDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/29 2:20 PM 
 */
public class PayAccountDTO implements Serializable{

    private static final long serialVersionUID = 5695680475810544460L;

    public interface SavePayAccount {
    }

    public interface EditPayAccount {
    }

    /**
     *
     */
    @NotNull(message = "主键不能为空", groups = {EditPayAccount.class})
    private Integer payAccountId;

    /**
     * 开户名称
     */
    @NotBlank(message = "开户名称不能为空", groups = {SavePayAccount.class})
    private String accountName;

    /**
     * 开户银行
     */
    @NotBlank(message = "开户银行不能为空", groups = {SavePayAccount.class})
    private String bank;

    /**
     * 支行名称
     */
    @NotBlank(message = "支行名称不能为空", groups = {SavePayAccount.class})
    private String branchName;

    /**
     * 开户账号
     */
    @NotBlank(message = "开户账号不能为空", groups = {SavePayAccount.class})
    private String bankAccount;

    /**
     * 状态 0 ：删除 1:启用 2:停用
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 序号
     */
    private Integer seq;

    public Integer getPayAccountId() {
        return payAccountId;
    }

    public void setPayAccountId(Integer payAccountId) {
        this.payAccountId = payAccountId;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }
}
