package com.gic.finance.util;

import org.apache.dubbo.config.ReferenceConfig;
import org.apache.dubbo.config.RegistryConfig;
import org.apache.dubbo.rpc.service.GenericService;

import com.alibaba.fastjson.JSONObject;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * 回调方法工具
 * @ClassName: AsynCallbackUtils 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/12 1:52 PM 
 */
public class AsynCallbackUtils {
    private static Logger logger = LogManager.getLogger(AsynCallbackUtils.class);

    /**
     * 回调
     * @Title: callBack 
     * @Description: 
      * @author guojuxing 
     * @param obj 需要传递的参数对象
     * @param interfaceUrl 接口路径 例如com.gic.open.api.service.market.PayCallbackApiService
     * @param method  方法名称 payCallbackTransfer
     * @return  void 
      */
    public static void callBack(Object obj, String interfaceUrl, String method) {
        logger.info("转账审批回调：{}，接口路径：{}，接口方法名称:{}" ,JSONObject.toJSONString(obj), interfaceUrl, method);
        RegistryConfig registry = new RegistryConfig();
        //todo 上线修改zookeeper地址
        registry.setAddress("zookeeper://10.105.220.75:2199");
        registry.setCheck(false);
        ReferenceConfig<GenericService> reference = new ReferenceConfig<>();
        reference.setInterface(interfaceUrl);
        reference.setRegistry(registry);
        reference.setGeneric(true);
        GenericService genericService = reference.get();

        genericService.$invoke(method, new String[]{String.class.getName()}, new String[]{JSONObject.toJSONString(obj)});
    }
}
